package sharin.doc.builder.xhtml1;

public class ThElem extends GenericCellElem<ThElem> {

    public ThElem(Object... nodes) {
        super("th", nodes);
    }

    public ThElem abbr(Object value) {
        return attr("abbr", value);
    }

    public ThElem axis(Object value) {
        return attr("axis", value);
    }

    public ThElem bgcolor(Object value) {
        return attr("bgcolor", value);
    }

    public ThElem colspan(Object value) {
        return attr("colspan", value);
    }

    public ThElem headers(Object value) {
        return attr("headers", value);
    }

    public ThElem height(Object value) {
        return attr("height", value);
    }

    public ThElem nowrap(boolean nowrap) {
        return nowrap ? nowrap("nowrap") : this;
    }

    public ThElem nowrap(Object value) {
        return attr("nowrap", value);
    }

    public ThElem rowspan(Object value) {
        return attr("rowspan", value);
    }

    public ThElem scope(Object value) {
        return attr("scope", value);
    }

    public ThElem scopeCol() {
        return scope("col");
    }

    public ThElem scopeColgroup() {
        return scope("colgroup");
    }

    public ThElem scopeRow() {
        return scope("row");
    }

    public ThElem scopeRowgroup() {
        return scope("rowgroup");
    }

    public ThElem width(Object value) {
        return attr("width", value);
    }
}
